Subject: Re: Templates
From: Gautam_Singh/[email-masked] (Gautam Singh/NCGR)

19 Nov 1996 12:50:49 -0800
Sender: [email-masked]
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: Text/Plain
Original-To: Mumit Khan <[email-masked]>
Original-Cc: gnu-win32 <[email-masked]>
Original-Sender: [email-masked]

Thanks for your response on the templates issue...

I am getting the error while "compiling" the template code.  (I haven't gotten 
to the "core dump" stage yet. I will link with b14libstdc++.. thanks for that 
tip!)

As far as compiling code with templates, has anyone had any success? I am 
instantiating all my templated classes in a separate file, and compiling all 
programs the "-fno-implicit-templates" flag. The makefile works just fine on 
the linux version of gcc2.7.2. But the gcc-win32 compiler croakes on the file 
where the templates are instantiated.... 

Any help will be greatly appreciated..

Gautam S.

------------------------------------

You did replace the b16 libstdc++ with the one from b14, right? If not,
that would be the first thing to do, since b16 libstdc++ causes progs
to dump core at startup (or soon thereafter).

Mumit

-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".